Bug 252104 - Review Request: perl-Perlbal-XS-HTTPHeaders - Perlbal extension for processing HTTP headers
Review Request: perl-Perlbal-XS-HTTPHeaders - Perlbal extension for processin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 18:13 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 02:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-08-13 18:13:19 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-Perlbal-XS-HTTPHeaders.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-Perlbal-XS-HTTPHeaders-0.19-1.fc7.src.rpm
Description:
This module is used to read HTTP headers from a string and to parse them
into an internal storage format for easy access and modification. You can
also ask the module to reconstitute the headers into one big string, useful
if you're writing a proxy and need to read and write headers while
maintaining the ability to modify individual parts of the whole.
Comment 1 Parag AN(पराग) 2007-08-16 23:39:22 EDT
change License tag to GPL+ or Artistic
Comment 2 Parag AN(पराग) 2007-08-17 01:26:56 EDT
good to have t/* added under %doc
Comment 3 Ruben Kerkhof 2007-08-17 03:05:06 EDT
> change License tag to GPL+ or Artistic

Actually, there's no license information in the tarball. I asked upstream for clarification

> good to have t/* added under %doc

What are the advantages of doing that? make check already runs on the buildservers, and adding tests to 
doc is not a very common thing to do for perl packages
Comment 4 Ralf Corsepius 2007-08-17 03:09:13 EDT
(In reply to comment #3)
> > change License tag to GPL+ or Artistic
> 
> Actually, there's no license information in the tarball.
Wrong. As with most perl-dists, it's inlined into the source code:

http://search.cpan.org/~marksmith/Perlbal-XS-HTTPHeaders-0.19/lib/Perlbal/XS/HTTPHeaders.pm#COPYRIGHT_AND_LICENSE
Comment 5 Ruben Kerkhof 2007-08-17 03:15:40 EDT
Sorry, your right, missed that.

New version:
http://rubenkerkhof.com/packages/perl-Perlbal-XS-HTTPHeaders-0.19-2.fc7.src.rpm
Comment 6 Parag AN(पराग) 2007-08-17 04:43:41 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d011eeda6adedf069620e11e6d701b77  Perlbal-XS-HTTPHeaders-0.19.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/HTTPHeaders....ok
All tests successful.
Files=1, Tests=31,  0 wallclock secs ( 0.19 cusr +  0.02 csys =  0.21 CPU)
+ exit 0
+ Provides: HTTPHeaders.so perl(Perlbal::XS::HTTPHeaders) = 0.19
+ Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) perl >= 0:5.008 perl(:MODULE_COMPAT_5.8.8)
perl(AutoLoader) perl(Carp) perl(Exporter) perl(Perlbal)
perl(Perlbal::HTTPHeaders) perl(XSLoader) perl(strict) perl(warnings) rtld(GNU_HASH)

APPROVED.
Comment 7 Ruben Kerkhof 2007-08-17 08:39:59 EDT
Thanks Parag

New Package CVS Request
=======================
Package Name: perl-Perlbal-XS-HTTPHeaders
Short Description: Perlbal extension for processing HTTP Headers
Owners: ruben@rubenkerkhof.com
Branches: FC-6 F-7 EL-4 EL-5
Comment 8 Ruben Kerkhof 2007-08-17 11:37:36 EDT
Oops, wrong flag

New Package CVS Request
=======================
Package Name: perl-Perlbal-XS-HTTPHeaders
Short Description: Perlbal extension for processing HTTP Headers
Owners: ruben
Branches: FC-6 F-7 EL-4 EL-5
Comment 9 Petr Pisar 2011-07-13 04:58:03 EDT
Package Change Request
======================
Package Name: perl-Perlbal-XS-HTTPHeaders
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
package.
Comment 10 Jon Ciesla 2011-07-15 10:06:56 EDT
This is now done via pkgdb.

Note You need to log in before you can comment on or make changes to this bug.